# Mandelbrot Visualizer
This Java application visualizes the Mandelbrot set using a multi-threaded approach to improve rendering performance. The Mandelbrot set is a set of complex numbers for which the function f(z) = z^2 + c does not diverge when iterated from z = 0. This application allows users to zoom in and out, as well as pan around the set using mouse interactions.

## Features
- Renders the Mandelbrot set using multiple threads for improved performance
- Zoom in and out using the mouse wheel
- Pan the view by dragging the mouse
## How it works
The application uses a BufferedImage to store the rendered image, which is then painted onto the JPanel during repainting. The rendering of the Mandelbrot set is achieved by submitting tasks to an executor service that calculates the color for each pixel based on its position in the complex plane.

## Usage
- To run this application, simply compile and execute the MandelbrotVisualizer.java file. A window displaying the Mandelbrot set will appear, and you can interact with it using your mouse:

- Zoom in/out: Scroll the mouse wheel
- Pan the view: Drag the mouse while pressing any button

